Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I am newbie in ubuntu. (Version 9.10) I get following error while installing any software from the Ubuntu Software Center.I also get same error while I update ubuntu from Ubuntu Update Center.

Any help??

alt text

share|improve this question
add comment

1 Answer

Seems like the database is damaged. You could try to restore it from a previous state, like this:

sudo sh -c 'zcat /var/backups/dpkg.status.1.gz > /var/lib/dpkg/status'

Make sure to copy the file first to another backup.

Edit:

su
zcat /var/backups/dpkg.status.1.gz > /var/lib/dpkg/status
exit
share|improve this answer
    
Thanks.I tried that but it doesn't respond after I hit enter after the command.Cursor keeps blinking. –  ravi Feb 1 '10 at 12:29
    
@ravi: Oh sorry...I should stop c/p commands...pleas try the the edit version. –  Bobby Feb 1 '10 at 12:34
    
Thanks again.But after trying the edited version it gives error as "su: Authentication failure" –  ravi Feb 1 '10 at 13:47
    
means that you need to su or sudo -s to the superuser account before you can do the next step. If you use su, you type the root password. If you use sudo, you type your password. –  rescdsk Mar 5 '10 at 19:08
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.